Page MenuHomePhabricator

Create RDF export for structured data stored for files
Closed, ResolvedPublic

Description

Structured data information on Commons should have RDF representation, just like the information on Wikidata has. We need to create code that would allow RDF representation of that data.

The URL should be like this:
https://commons.wikimedia.org/wiki/Special:EntityData/M77666670.ttl (just like JSON one works now).

One of the ideas of how RDF could look like is here: https://www.mediawiki.org/wiki/User:Tpt/WikibaseMediaInfo_RDF_Dump_Format

Open questions:

  • What should be the main prefix? wd: is wikidata, so we can't use that. sdc: maybe?
  • How to ensure that URLs used by Wikidata commonsMedia type match what we're using here? Right now commonsMedia uses Special:FilePath URL, which is different from sitelink. Should we add another triple? Which URL should we use for schema:contentUrl - current full URL or maybe FilePath redirect?

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
OpenNone
OpenSmalyshev
ResolvedSmalyshev

Event Timeline

Smalyshev updated the task description. (Show Details)Apr 28 2019, 9:09 PM
Smalyshev claimed this task.May 1 2019, 7:02 PM
Smalyshev triaged this task as Normal priority.
Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.

Change 507627 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseMediaInfo@master] RDF export of MediaInfo entities

https://gerrit.wikimedia.org/r/507627

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:25 PM
MB-one removed a subscriber: MB-one.Jun 27 2019, 7:21 AM

Change 507627 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] RDF export of MediaInfo entities

https://gerrit.wikimedia.org/r/507627

Change 520078 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Enable RDF output for MediaInfo

https://gerrit.wikimedia.org/r/520078

Change 520078 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RDF output for MediaInfo

https://gerrit.wikimedia.org/r/520078

Mentioned in SAL (#wikimedia-operations) [2019-07-08T18:04:14Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:520078|Enable RDF output for MediaInfo]] (T221916) (duration: 00m 49s)

Change 522141 had a related patch set uploaded (by Smalyshev; owner: Tpt):
[mediawiki/extensions/WikibaseMediaInfo@master] Adds some RDF triples from File metadata

https://gerrit.wikimedia.org/r/522141

Smalyshev closed this task as Resolved.Mon, Aug 19, 7:01 PM

I think this is done since the export now exists and is enabled, we can tweak the specifics in follow-up tasks.